
GammaLib - Action #840

Feature # 829 (Closed): GammaLib tutorials and narrative introduction

Convert User Manual to rst.

04/13/2013 11:12 PM - Knödlseder Jürgen

Status: Closed Start date: 04/10/2013

Priority: High Due date:  

Assigned To: Deil Christoph % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

The User Manual is one of the most useful documents for GammaLib users. It should be one of the first to be translated into rst.

Note that the UM is only in a very very early stage of writing. By converting it to rst I hope we can make it evolve more quickly and

complete it rapidly.

History

#1 - 04/13/2013 11:15 PM - Knödlseder Jürgen

- Description updated

- Priority changed from Normal to High

#2 - 04/14/2013 05:39 PM - Deil Christoph

- Assigned To set to Deil Christoph

#3 - 04/15/2013 06:43 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#4 - 04/15/2013 06:46 PM - Deil Christoph

FYI: with this one I screwed up a bit, because I ran pandoc without replacing the \newcommand first.

So there might be a few "GammaLib" words simply missing from the text.

Probably still easier to read it through once (I did that, but quickly) than to start the conversion from scratch.

#5 - 04/15/2013 06:49 PM - Knödlseder Jürgen

Right, I left it "In Progress" for this reason. I guess we need to scan the .rst files to improve this.

I also see that the entire User Manual is a single flat file (here index.rst). I guess it would be nice if it were structured, so that pages are much shorter.

What do you think?

#6 - 04/15/2013 06:57 PM - Deil Christoph

Yes. Definitely break up into smaller chunks.

Same with the coding conventions.

It might be better to work out a structure for the documentation first and then refactor existing parts into that.

I think e.g. astropy has a good webpage and well-structured documentation and could serve as an example:

http://www.astropy.org

http://docs.astropy.org

I'm happy to contribute after the HESS collaboration meeting next week.

I'm not familiar enough with the Gammalib codebase to make good contributions, but e.g. rewriting existing examples into tutorials is something I can

do.
#7 - 04/15/2013 07:02 PM - Deil Christoph

Some more examples of documentation I like:

http://scikit-image.org/

http://scikit-learn.org/

http://pandas.pydata.org/pandas-docs/stable/

We should also find a way to link to Doxygen API docs from Sphinx.

This is not quite what we want I think, but might be worth a look:

http://michaeljones.github.io/breathe/

#8 - 11/24/2013 10:29 PM - Knödlseder Jürgen

- % Done changed from 0 to 20

Added some documentation

#9 - 12/03/2013 10:00 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- Remaining (hours) set to 0.0

#10 - 12/03/2013 10:00 AM - Knödlseder Jürgen

- % Done changed from 20 to 100

- Estimated time set to 0.00
